Register a push device

​

Upserts by device token. Re-registering the same token from another account moves it.

Body·

required
application/json
  • The APNs/FCM device token.

  • Device name shown to the user.

Responses

  • application/json
  • application/json
  • application/json
Request Example for post/devices
curl https://api.hireorpheus.com/api/v1/devices \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "token": "",
  "platform": "ios",
  "environment": "development",
  "app_version": "",
  "label": ""
}'
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "subject_type": "string",
    "subject_id": "string",
    "token": "string",
    "platform": "ios",
    "environment": "development",
    "app_version": null,
    "label": null,
    "last_seen_at": null,
    "created_time": "2026-10-14T08:02:53.595Z",
    "last_edited_time": "2026-10-14T08:02:53.595Z"
  }
}